JdkLoggerFormatter (Tomcat API Documentation)
Keywords: org.apache.juli.JdkLoggerFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli
Class JdkLoggerFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.apache.juli.JdkLoggerFormatter

    public class JdkLoggerFormatter

extends java.util.logging.Formatter

A more compact formatter. Equivalent log4j config:

      log4j.rootCategory=WARN, A1
      log4j.appender.A1=org.apache.log4j.ConsoleAppender
      log4j.appender.A1.layout=org.apache.log4j.PatternLayout
      log4j.appender.A1.Target=System.err
      log4j.appender.A1.layout.ConversionPattern=%r %-15.15c{2} %-1.1p %m %n

Example: 1130122891846 Http11BaseProtocol I Initializing Coyote HTTP/1.1 on http-8800

Author:
  Costin Manolache

Field Summary
`static int` | `LOG_LEVEL_DEBUG`
`static int` | `LOG_LEVEL_ERROR`
`static int` | `LOG_LEVEL_FATAL`
`static int` | `LOG_LEVEL_INFO`
`static int` | `LOG_LEVEL_TRACE`
`static int` | `LOG_LEVEL_WARN`

Constructor Summary
`JdkLoggerFormatter()`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord record)`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_LEVEL_TRACE

    public static final int LOG_LEVEL_TRACE

See Also:
  Constant Field Values

### LOG_LEVEL_DEBUG

    public static final int LOG_LEVEL_DEBUG

See Also:
  Constant Field Values

### LOG_LEVEL_INFO

    public static final int LOG_LEVEL_INFO

See Also:
  Constant Field Values

### LOG_LEVEL_WARN

    public static final int LOG_LEVEL_WARN

See Also:
  Constant Field Values

### LOG_LEVEL_ERROR

    public static final int LOG_LEVEL_ERROR

See Also:
  Constant Field Values

### LOG_LEVEL_FATAL

    public static final int LOG_LEVEL_FATAL

See Also:
  Constant Field Values

Constructor Detail

### JdkLoggerFormatter

    public JdkLoggerFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord record)

  Specified by:
    `format` in class `java.util.logging.Formatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.